{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Summary Forum</title>
<link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
{% endblock meta %}

{% block content %}
    <div class="container" style="margin-bottom:110px;">
        <div style="padding-bottom: 20px; padding-top: 20px;">
            <a href="{% url 'forum:forum1' %}" class="back">&lt Back to Forum</a>
        </div> 
        <div id="profil">
            <div class="topdown">
                <p style="font-size:25px;font-weight:bold;">
                    {% if diskusi|length < 2 %} {{diskusi|length}} discussion 
                    {% else %} {{diskusi|length}} discussions 
                    {% endif %} has been started by {{ userInProfil.username }}
                </p>
                <div class="topdown text-center" style="width: 100%;">
                    {% if diskusi %}
                        {% for d in diskusi %}
                            <div class="post" onclick="location.href='{% url 'forum:readForum' d.pk %}';">
                                <div class="topdown inside-post center b">
                                        <div class="profile" 
                                            {% for w in colorProfile %}
                                                {% if w.user == d.penulis %} 
                                                    style="background-color: {{w.colorHex}};"
                                                {% endif %}
                                            {% endfor %}>
                                            <div class="center inisial">
                                                {{ d.penulis|make_list|first|upper }}
                                            </div>
                                        </div>

                                    <div class="topdown snippet fontall">
                                        <div class="judulPost">
                                            {{ d.judul|truncatechars:35 }} <br>
                                        </div>
                                        <span class="subJudulPost">
                                            <a href="{% url 'forum:forum2' d.kategori %}" 
                                                {% if d.kategori == 'general' %} class="tipe1"
                                                {% elif d.kategori == 'covid' %} class="tipe2"
                                                {% elif d.kategori == 'drug' %} class="tipe3"
                                                {% endif %}>
                                                
                                                {% if d.kategori == 'general' %} [General Discussion]
                                                {% elif d.kategori == 'covid' %} [Covid Info]
                                                {% elif d.kategori == 'drug' %} [Drug Info]
                                                {% endif %}
                                            </a> 
                                                by 
                                            <a href="{% url 'forum:profil' d.penulis.username %}" class="edit"> 
                                                {{ d.penulis }} 
                                            </a>  on {{ d.DateTime|date:'d-M-Y H:i' }} WIB  
                                            {% if d.penulis == request.user %}           
                                                <a href="{% url 'forum:editPost' d.pk %}" class="edit"></br> edit </a> | 
                                                <a href="{% url 'forum:confirmDeletePost' d.pk %}" class="edit"> delete </a>
                                            {% endif %}
                                        </span>
                                        <div class='b'>
                                            {{ d.isi|safe|truncatechars:50 }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    {%else%} <p>{{ userInProfil.username }} Never started a discussion</p>
                    {% endif %}
                </div>
            </div>
        </div>
        <!-- Forum Status -->
        <div class="forum-status text-center" style="padding-top: 20px;">
            <div class="chart" style="padding-bottom: 5px;">
                Forum Status <img src="{% static 'forum/img/stat.png' %}" style= "margin-bottom:2px; width:30px; height:30px;" />
            </div>
            <span >
                Total:
                {% if diskusi|length < 2 %} {{diskusi|length}} Post
                {% else %} {{diskusi|length}} Posts
                {% endif %} 
            </span><br>
        </div>
    </div>

{% endblock content %}